Get all Automation Blueprints Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/automation-blueprints

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [account,steps,webhook_targets].

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[is_active] boolean

    Filter automation blueprints by which are active or not.

  • filter[trigger] string

    Filter automation blueprints by a certain trigger type.

  • filter[name] string

    Filter automation blueprints by a partial match to the blueprint name.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name]. Negative sign to denote DESC. Defaults to 'name'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • name string

        Name of the Automation Blueprint

      • trigger string

        What type of event will trigger this AutomationBlueprint

      • is_active boolean

        Is the automation currently active? If false will not create new execution instances

      • account object

        Account that made this automation blueprints

        Hide account attributes Show account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
      • conditions array

        Conditions for the automation blueprint

      • configuration array

        Extra configuration options for the trigger of this blueprint

      • steps array[object]

        All blueprint steps attached to this blueprint

        Hide steps attributes Show steps attributes object
        • uuid string
        • created_at string
        • updated string
        • name string
        • type string
        • configuration object
          Hide configuration attribute Show configuration attribute object
          • params object
            Hide params attribute Show params attribute object
            • account_uuid object
              Hide account_uuid attributes Show account_uuid attributes object
              • type string
              • value string
        • condition_state boolean
        • parent_step_uuid string
      • steps_count string

        Amount of blueprints steps on this automation blueprint

      • webhook_targets array[object]

        List of webhook target endpoints that can be used to trigger this automation

        Hide webhook_targets attributes Show webhook_targets attributes object
        • uuid string
        • created_at string
        • updated_at string
        • url string
GET /api/v1/automation-blueprints
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/automation-blueprints' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "uuid": "22559bce-9479-4a58-be81-6513df2279bb",
      "created_at": "2026-06-09T14:10:14+01:00",
      "updated_at": "2026-06-09T14:10:14+01:00",
      "name": "Add new client on webhook",
      "trigger": "client.create",
      "is_active": false,
      "account": {
        "uuid": "567b3050-958e-4a02-a1ae-d15b7c66ec42",
        "created_at": "2026-06-09T14:10:14+01:00",
        "updated_at": "2026-06-09T14:10:14+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
        "firm": "App\\Http\\Resources\\FirmResource",
        "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
        "primary_email": "App\\Http\\Resources\\ContactDetailResource",
        "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
        "assigned_adviser": "App\\Http\\Resources\\AccountResource",
        "assigned_administrator": "App\\Http\\Resources\\AccountResource",
        "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
        "introduced_by": "App\\Http\\Resources\\AccountResource",
        "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
        "groups": "App\\Http\\Resources\\GroupResource",
        "tags": "App\\Http\\Resources\\TagResource",
        "owners": "App\\Http\\Resources\\AccountResource",
        "first_contact_date": "2026-06-09T14:10:14+01:00",
        "next_review_date": "2026-06-09T14:10:14+01:00",
        "previous_review_date": "2026-06-09T14:10:14+01:00",
        "anniversary_review_date": "2026-06-09T14:10:14+01:00",
        "terms_of_business_at": "2026-06-09T14:10:14+01:00",
        "client_agreement_at": "2026-06-09T14:10:14+01:00",
        "with_login": true,
        "has_joint_account": true,
        "can_be_deleted": "false",
        "joint_account_circle": "App\\Http\\Resources\\CircleResource",
        "circles": "App\\Http\\Resources\\CircleResource",
        "ownership_percentage": 100,
        "inactive_at": "2026-06-09",
        "last_interaction_at": "2026-06-09 14:10:14",
        "referral_code": "ABC12345",
        "permissions": {
          "firm:read": [
            "firm"
          ],
          "network:read": [
            "network:uuid"
          ]
        },
        "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
        "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
      },
      "conditions": [],
      "configuration": [],
      "steps": [
        {
          "uuid": "d70d9590-7f34-4a5b-99ee-09fbd4f0ad22",
          "created_at": "2026-06-09T14:10:14+01:00",
          "updated": "2026-06-09T14:10:14+01:00",
          "name": "create a new client",
          "type": "client.create",
          "configuration": {
            "params": {
              "account_uuid": {
                "type": "ref",
                "value": "trigger.account.uuid"
              }
            }
          },
          "condition_state": false,
          "parent_step_uuid": "0478b85b-631b-4e95-a3fe-ff65ffd33415"
        }
      ],
      "steps_count": "1",
      "webhook_targets": [
        {
          "uuid": "6401ed7b-bc5d-4264-9b25-e0accb26768e",
          "created_at": "2026-06-09T14:10:14+01:00",
          "updated_at": "2026-06-09T14:10:14+01:00",
          "url": "https://api.plannrcrm.com/api/v1/webhooks/01605357-9fba-4cab-b4f0-141476dfa4ea"
        }
      ]
    }
  ]
}